<?php

namespace App\Http\Requests\Admin\RoleManagement;

use Illuminate\Foundation\Http\FormRequest;

class RoleManagementEditRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return $this->user()->can('update', $this->route('role'));
    }

    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        return [
            // Edit sayfası için özel validasyon kuralları
        ];
    }
}
